Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.protocol
Class Mutation

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.protocol.Mutation

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class Mutation

extends Object
implements Serializable

Java class for MutationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MutationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MutationInformation" type="{urn:be:fgov:ehealth:consultRN:1_0:protocol}MutationInformationType"/>
             <element name="Person" type="{urn:be:fgov:ehealth:consultRN:1_0:core}PersonType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Mutation()`

Method Summary
`MutationInformationType` | `getMutationInformation()` Gets the value of the mutationInformation property.
`PersonType` | `getPerson()` Gets the value of the person property.
`void` | `setMutationInformation(MutationInformationType value)` Sets the value of the mutationInformation property.
`void` | `setPerson(PersonType value)` Sets the value of the person property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mutation

    public Mutation()

Method Detail

### getMutationInformation

    public MutationInformationType getMutationInformation()

  Gets the value of the mutationInformation property.

  Returns:
    possible object is `MutationInformationType`

### setMutationInformation

    public void setMutationInformation(MutationInformationType value)

  Sets the value of the mutationInformation property.

  Parameters:
    `value` - allowed object is `MutationInformationType`

### getPerson

    public PersonType getPerson()

  Gets the value of the person property.

  Returns:
    possible object is `PersonType`

### setPerson

    public void setPerson(PersonType value)

  Sets the value of the person property.

  Parameters:
    `value` - allowed object is `PersonType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.